<?php

namespace App\Events;

use App\Models\ConversationAsset;
use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;

class InviteToConversationAssetEvent implements ShouldBroadcastNow
{
    public ConversationAsset $conversation_asset;
    public array $users_to_invite;

    public function __construct(ConversationAsset $conversation_asset, array $users_to_invite)
    {
        $this->conversation_asset = $conversation_asset;
        $this->users_to_invite = $users_to_invite;
    }

    public function broadcastOn(): Channel
    {
        return new PrivateChannel('encrypted-conversation.' . $this->conversation_asset->conversation_id);
    }

    public function broadcastAs()
    {
        return 'conversationAsset.invite';
    }

    public function broadcastWith()
    {

        return [
            'id' => $this->conversation_asset->id,
            'title' => $this->conversation_asset->title,
            'type' => $this->conversation_asset->type,
            'desciption' => $this->conversation_asset->description,
            'user_id' => $this->conversation_asset->user_id,
            'invited_users' => $this->users_to_invite,
        ];
    }
}
