<?php

namespace App\Events;

use App\Models\TimelineItem;
use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class LockTimelineItemEvent implements ShouldBroadcastNow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public TimelineItem $timeline_item;

    public function __construct(TimelineItem $timeline_item)
    {
        $this->timeline_item = $timeline_item;
    }

    public function broadcastOn(): Channel
    {
        return new PrivateChannel('encrypted-conversation.' . $this->timeline_item->conversation->id);
    }

    public function broadcastAs()
    {
        return 'timelineItem.lock';
    }

    public function broadcastWith()
    {

        return [
            'id' => $this->timeline_item->id,
            'conversation_asset_id' => $this->timeline_item->conversation_asset_id,
            'is_locked_by' => $this->timeline_item->is_locked_by,
        ];
    }
}
