<?php

namespace App\Http\Controllers;

use App\Http\Requests\UpdateCompetenceCardCategoryRequest;
use App\Models\CompetenceCardCategory;
use Inertia\Inertia;

class CompetenceCardCategoryController extends Controller
{
    public function edit(CompetenceCardCategory $competenceCardCategory)
    {

        return Inertia::render('Settings/CompetenceCards/EditCategory', [
            'competence_card_category' => $competenceCardCategory,
        ]);
    }

    public function update(CompetenceCardCategory $competenceCardCategory, UpdateCompetenceCardCategoryRequest $request)
    {
        $competenceCardCategory->update($request->validated());

        return redirect()->route('app.settings.competence_cards.index')->with('success', 'Competence card category updated.');
    }

    public function destroy(CompetenceCardCategory $competenceCardCategory)
    {
        $competenceCardCategory->delete();

        return redirect()->route('app.settings.competence_cards.index')->with('success', 'Competence card category deleted.');
    }
}
