<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Session;

class LanguageController extends Controller
{
    public function __invoke(Request $request, $locale)
    {
        if ($locale == Session::get('locale')) return null;

        $supported_locales = ['de', 'en', 'it', 'bg'];
        abort_if(!in_array($locale, $supported_locales), 404);

        Session::put('locale', $locale);
        App::setLocale($locale);

        return redirect()->back();
    }
}
