<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class ConversationBelongsToUserMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $conversation_belongs_to_user = !!$request->route('conversation')->users()->find(auth()->user()->id);

        abort_if(!$conversation_belongs_to_user && !auth()->user()->hasPermissionTo('edit_all_conversations'), 403, 'You do not have permission to view this conversation.');

        return $next($request);
    }
}
