<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class EditProfileMiddleware
{
    public function handle(Request $request, Closure $next)
    {

        $user_is_editing_own_profile = $request->route('user')->id === auth()->user()->id;

        abort_if(!$user_is_editing_own_profile && !auth()->user()->hasPermissionTo('edit_all_users'), 403, 'You do not have permission to edit this user.');

        return $next($request);
    }
}
