<?php

namespace App\Http\Middleware;

use Auth;
use Closure;
use Illuminate\Http\Request;

class EnsureUserIsActiveMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $user = $request->user();

        if ($user && !$user->is_active) {
            Auth::logout();
            return redirect('login')->with('error', 'Your account is not active. Please contact your organization administrator.');
        }

        return $next($request);
    }
}
