<?php

namespace App\Http\Middleware;

use Auth;
use Closure;
use Illuminate\Http\Request;

class EnsureUserOrganizationIsActiveMiddleware
{
    public function handle(Request $request, Closure $next)
    {

        $user = $request->user();
        if ($user) {

            if ($user->organizations->count() < 1) {
                Auth::logout();
                return redirect('login')->with('error', 'Your organization is not active anymore. Please contact us at info@occay.eu.');
            }

            if (!$user->currentOrganization->is_active) {
                $active_organization = $user->organizations()->firstWhere('is_active', true);
                if ($active_organization) {
                    $user->currentOrganization()->associate($active_organization->id);
                    $user->save();
                }

                Auth::logout();
                return redirect('login')->with('error', 'Your organization is not active anymore. Please contact us at info@occay.eu.');
            }

        }

        return $next($request);
    }
}
