<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class OrganizationMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $user_belongs_to_organization = !!$request->user()->organizations()->find($request->user()->currentOrganization->id);

        if (!$request->user()->hasRole('super-admin') && !$user_belongs_to_organization) {
            return redirect()->route('organization.dashboard');
        }

        return $next($request);
    }
}
