<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class UpdateLastOnlineAtMiddleware
{
    public function handle(Request $request, Closure $next)
    {

        $user = $request->user();
        $lastUpdateKey = 'last_online_update';

        if ($user) {
            $lastOnlineUpdate = session($lastUpdateKey);
            $hoursSinceLastUpdate = $lastOnlineUpdate ? now()->diffInHours($lastOnlineUpdate) : null;

            if (!$lastOnlineUpdate || ($hoursSinceLastUpdate !== null && $hoursSinceLastUpdate >= 1)) {
                $user->update(['last_online_at' => now()]);
                session([$lastUpdateKey => now()]);
            }
        }

        return $next($request);
    }
}
