<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Spatie\MediaLibraryPro\Rules\Concerns\ValidatesMedia;

class AddMediaToConversationRequest extends FormRequest
{
    use ValidatesMedia;

    public function rules(): array
    {
        return [
            'conversation_media' => $this->validateMultipleMedia()
                ->minItems(1)
                ->maxItems(5)
                ->itemName('required|max:120')
                ->extension(['docx', 'doc', 'xlsx', 'xls', 'pdf', 'pptx', 'ppt', 'jpg', 'png', 'jpeg'])
                ->maxItemSizeInKb(5120),
        ];
    }
}
