<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class StoreAppointmentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            'type' => ['required', 'string', Rule::in(['internal', 'external'])],
            'conversation_id' => [Rule::requiredIf($this->type == 'internal'), 'exists:App\Models\Conversation,id', 'nullable'],
            'static_title' => [Rule::requiredIf($this->type == 'external'), 'string', 'max:200', 'nullable'],
            'location' => ['nullable', 'string', 'max:200'],
            'date' => ['required', 'date'],
            'startTime' => ['required', 'array'],
            'endTime' => ['required', 'array'],
            'description' => ['nullable', 'string'],
            'status' => ['nullable', 'string', 'in:cancelled,conducted,not_kept'],
            'appointment_type' => ['nullable', 'string', 'in:initial_consultation,counselling,follow_up_counselling,preparation_post_processing,administration,meeting,continuing_education,information,coordination,team,organization'],
            'broadcast' => ['nullable', 'boolean'],
        ];
    }


}
