<?php

namespace App\Http\Requests;

use App\Rules\ArrayPositiveInteger;
use Illuminate\Foundation\Http\FormRequest;
use Spatie\MediaLibraryPro\Rules\Concerns\ValidatesMedia;

class StoreConversationAssetRequest extends FormRequest
{
    use ValidatesMedia;

    public function rules(): array
    {
        return [
            'id' => ['required_if:method,PUT', 'integer', 'exists:conversation_assets,id'],
            'title' => ['required', 'string', 'max:200'],
            'description' => ['nullable', 'string'],
            'type' => ['required', 'string', 'in:timeline,resources_tree,competence_cards,competence_card_set,media'],
            'competence_card_set' => ['nullable', 'json', new ArrayPositiveInteger()],
        ];
    }
}
