<?php

namespace App\Http\Requests;

use App\Rules\EncryptedEmailUniqueRule;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Password;

class StoreEmployeeRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'first_name' => ['required', 'string', 'max:255', 'min:2'],
            'last_name' => ['required', 'string', 'max:255', 'min:2'],
            'email' => ['required', 'email', 'max:255', new EncryptedEmailUniqueRule($this->email)],
            'phone_number' => ['nullable', 'string', 'max:255'],
            'password' => ['required', 'string', Password::defaults()],
            'is_active' => ['required', 'boolean'],
            'counselor_id' => ['nullable', 'exists:users,id'],
            'role' => ['required', 'string', 'in:organization-admin,counselor,client'],
        ];
    }
}
