<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class StoreTimelineItemRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'type'                  => ['required', 'string'],
            'conversation_asset_id' => ['integer', 'exists:App\Models\ConversationAsset,id'],
            'title'                 => ['required', 'string', 'max:200'],
            'description'           => ['nullable', 'string'],
            'date'                  => ['required', 'date_format:Y'],
            'is_locked_by'          => ['nullable', 'integer', 'exists:App\Models\User,id'],
        ];
    }
}
