<?php

namespace App\Http\Requests;

use App\Rules\RgbaColorRule;
use Illuminate\Foundation\Http\FormRequest;

class UpdateCompetenceCardCategoryRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'title'         => ['required', 'string', 'max:255'],
            'accent_color'  => ['required', 'string', 'max:255', new RgbaColorRule()],
            'light_color'   => ['required', 'string', 'max:255', new RgbaColorRule()],
            'is_active'     => ['required', 'boolean'],
        ];
    }
}
