<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Spatie\MediaLibraryPro\Rules\Concerns\ValidatesMedia;


class UpdateCompetenceCardRequest extends FormRequest
{
    use ValidatesMedia;
    public function rules(): array
    {
        return [
            'title'                     => ['required', 'string', 'max:255'],
            'description'               => ['nullable', 'string', 'max:2000'],
            'is_active'                 => ['required', 'boolean'],
            'media'                     => $this->validateSingleMedia()
                                            ->extension(['svg'])
                                            ->mime(['image/svg+xml'])
                                            ->maxItemSizeInKb(2000),
        ];
    }
}
