<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Spatie\MediaLibraryPro\Rules\Concerns\ValidatesMedia;

class UpdateKnowledgebaseArticleRequest extends FormRequest
{
    use ValidatesMedia;
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|string|max:250',
            'content' => 'required|string',
            'shareable' => 'required|boolean',
            'knowledgebase_article_media' => $this->validateMultipleMedia()
                                ->maxItems(5)
                                ->extension(['png', 'jpg', 'pdf', 'mp4', 'mpeg', 'mov'])
                                ->mime(['image/png', 'image/jpeg', 'application/pdf', 'video/mp4', 'video/mpeg', 'video/quicktime'])
                                ->maxItemSizeInKb(1024000),
            'knowledgebase_category' => 'required|exists:App\Models\KnowledgebaseCategory,id',
            'organization_id' => 'required|exists:App\Models\Organization,id'
        ];
    }
}
