<?php

namespace App\Http\Requests;

use App\Rules\EncryptedEmailUniqueRule;
use Illuminate\Foundation\Http\FormRequest;

class UpdateProfileRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'first_name' => ['required', 'string', 'max:255', 'min:2'],
            'last_name' => ['required', 'string', 'max:255', 'min:2'],
            'email' => ['required', 'email', 'max:255', new EncryptedEmailUniqueRule($this->email, auth()->user()->id)],
            'phone_number' => ['nullable', 'string', 'max:255'],
        ];
    }
}
