<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Appointment */
class AppointmentResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'static_title' => $this->static_title,
            'description' => $this->description,
            'type' => $this->type,
            'location' => $this->location,
            'attendees' => $this->attendees,
            'start' => $this->start,
            'end' => $this->end,
            'appointment_type' => $this->appointment_type,

            'organization' => new OrganizationResource($this->whenLoaded('organization')),
            'conversation' => new ConversationResource($this->whenLoaded('conversation')),
            'users' => UserResource::collection($this->whenLoaded('users')),
            'counselors' => UserResource::collection($this->whenLoaded('counselors')),
            'clients' => UserResource::collection($this->whenLoaded('clients')),
        ];
    }
}
