<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\ConversationAsset */
class ConversationAssetResource extends JsonResource
{
    /**
     * @param Request $request
     * @return array
     */
    public function toArray($request): array
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'type' => $this->type,
            'description' => $this->description,
            'user_id' => $this->user_id,
            'organization_id' => $this->organization_id,
            'competence_card_set' => $this->when($this->type === 'competence_card_set', $this->competence_card_set),
            'timeline_items' => TimelineItemResource::collection($this->whenLoaded('timeline_items')),
            'media' => $this->media,
        ];
    }
}
