<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Conversation */
class ConversationResource extends JsonResource
{
    /**
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'uuid' => $this->uuid,
            'description' => $this->description,
            'custom_meeting_url' => $this->custom_meeting_url,
            'jitsi_meeting_password' => $this->jitsi_meeting_password,
            'title' => $this->title,
            'is_active' => $this->is_active,
            'appointments_count' => $this->appointments_count,
            'messages_count' => $this->messages_count,
            'users_count' => $this->users_count,
            'organization_id' => $this->organization_id,
            'appointments' => $this->whenLoaded('appointments'),
            'conversation_assets' => ConversationAssetResource::collection($this->whenLoaded('conversation_assets')),
            'messages' => MessageResource::collection($this->whenLoaded('messages')),
            'users' => UserResource::collection($this->whenLoaded('users')),
            'knowledgebase_articles' => $this->whenLoaded('knowledgebase_articles'),
        ];
    }
}
