<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Message */
class MessageResource extends JsonResource
{
    /**
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'message' => $this->message,
            'created_at' => $this->created_at,
            'humans_time' => $this->humans_time,

            'type' => $this->type,

            'organization_id' => $this->organization_id,
            'conversation_id' => $this->conversation_id,

            'sender' => new UserResource($this->whenLoaded('sender')),
            'conversation' => new ConversationResource($this->whenLoaded('conversation')),
        ];
    }
}
