<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

/** @mixin \App\Models\Organization */
class OrganizationResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id'                                => $this->id,
            'uuid'                              => $this->uuid,
            'name'                              => $this->name,
            'street'                            => $this->street,
            'zip_code'                          => $this->zip_code,
            'city'                              => $this->city,
            'country'                           => $this->country,
            'tax_id'                            => $this->tax_id,
            'phone_number'                      => $this->phone_number,
            'email'                             => $this->email,
            'website'                           => $this->website,
            'is_active'                         => $this->is_active,
            'knowledge_base_articles_count'     => $this->knowledge_base_articles_count,
            'media_count'                       => $this->media_count,
            'organization_employees_count'      => $this->organization_employees_count,
            'users_count'                       => $this->users_count,
            'logo'                              => $this->getFirstMedia('organization-logo-' . $this->id) ? route('userMedia', ['organization' => $this->id, 'mediaId' => $this->getFirstMedia('organization-logo-' . $this->id)->id, 'fileName' => $this->getFirstMedia('organization-logo-' . $this->id)->file_name]) : null,

            'appointments'                      => AppointmentResource::collection($this->whenLoaded('appointments')),
            'counselors'                        => UserResource::collection($this->whenLoaded('counselors')),
            'organization_employees'            => UserResource::collection($this->whenLoaded('organization_employees')),
            'users'                             => UserResource::collection($this->whenLoaded('users')),
        ];
    }
}
