<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\TimelineItem */
class TimelineItemResource extends JsonResource
{
    /**
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'                        => $this->id,
            'title'                     => $this->title,
            'description'               => $this->description,
            'type'                      => $this->type,
            'date'                      => Carbon::createFromFormat('Y-m-d', $this->date)->format('Y'),
            'conversation_asset_id'     => $this->conversation_asset_id,
            'is_locked_by'              => $this->is_locked_by,
        ];
    }
}
