<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\User */
class UserResource extends JsonResource
{
    /**98ß
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'full_name' => $this->full_name,
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'email' => $this->email,
            'phone_number' => $this->phone_number,
            'is_active' => $this->is_active,
            'ModelRoutes' => $this->ModelRoutes,
            'current_organization_id' => $this->current_organization_id,
            'user_meta' => new UserMetaResource($this->whenLoaded('user_meta')),
            'conversations' => ConversationResource::collection($this->whenLoaded('conversations')),
            'appointments' => AppointmentResource::collection($this->whenLoaded('appointments')),
            'clients' => UserResource::collection($this->whenLoaded('clients')),
            'counselor' => new UserResource($this->whenLoaded('counselor')),
            'organizations' => OrganizationResource::collection($this->whenLoaded('organizations')),
        ];
    }
}
