<?php

namespace App\Listeners;

use App\Events\ClientRegisteredEvent;
use App\Services\ClientService;
use Illuminate\Support\Facades\Session;

class ClientRegisteredListener
{

    /**
     * Handle the event.
     *
     * @param \App\Events\ClientRegisteredEvent $event
     * @return void
     */
    public function handle(ClientRegisteredEvent $event)
    {
        $clientService = new ClientService();
        $client = $event->user;
        $counselor = $event->counselor;

        $clientService->createConversation($client, $counselor);

        if ($event->notify) {
            $counselor->notify((new \App\Notifications\CounselorClientRegisteredNotification($counselor, $client))->locale(Session::get('locale') ?? 'en'));
        }

    }
}
