<?php

namespace App\Listeners;

use App\Events\UserCreatedEvent;
use App\Models\User;

class UserCreatedListener
{

    public function handle(UserCreatedEvent $event): void
    {

        $admin_users = User::role('super-admin')->get();
        if ($admin_users->isNotEmpty()) {
            foreach ($admin_users as $admin_user) {
                try {
                    $admin_user->notify((new \App\Notifications\UserCreatedAdminNotification($event->user, $event->organization, $event->role_name))->locale(app()->getLocale() ?? 'en'));
                } catch (\Exception $e) {
                    report($e);
                }
            }
        }

        if (!empty($event->counselor) && !empty($event->password)) {
            try {
                $event->user->notify((new \App\Notifications\UserCredentialsNotification($event->user, $event->organization, $event->counselor, $event->password))->locale(app()->getLocale() ?? 'en'));
            } catch (\Exception $e) {
                report($e);
            }
        }

    }
}
