<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ArrayPositiveInteger implements Rule
{
    public function passes($attribute, $value): bool
    {
        if (empty($value)) {
            return true;
        }

        if (!is_array($value)) {
            return false;
        }

        foreach ($value as $item) {
            if (!is_int($item) || $item <= 0) {
                return false;
            }
        }

        return true;
    }

    public function message(): string
    {
        return 'The :attribute must be an array containing only positive integers.';
    }
}
