<?php

namespace App\Rules;

use App\Models\Organization;
use Illuminate\Contracts\Validation\DataAwareRule;
use Illuminate\Contracts\Validation\Rule;

class OrganizationIdUuidRule implements Rule, DataAwareRule
{
    protected $data = [];

    public function setData($data)
    {
        $this->data = $data;
        return $this;
    }

    public function passes($attribute, $value): bool
    {
        $organization = Organization::find($this->data['organization_id'], ['id', 'uuid']);

        return $organization && $organization->id == $this->data['organization_id'] && $organization->uuid == $this->data['organization_uuid'];
    }

    public function message(): string
    {
        return 'The invite Link seems to be corrupted.';
    }
}
