<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class RgbaColorRule implements Rule
{

    public function passes($attribute, $value): bool
    {
        $pattern = '/^rgba\(\d{1,3},\s?\d{1,3},\s?\d{1,3},\s?(0(\.\d+)?|1(\.0+)?)\)$/';
        return preg_match($pattern, $value) === 1;
    }

    public function message(): string
    {
        return 'The :attribute must be a valid RGBA color.';
    }
}
