<?php

namespace App\Services;

use App\Models\CompetenceCard;
use App\Models\Organization;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class MediaService
{
    public function saveOrganizationLogo(Organization $organization, mixed $validated): void
    {
        $organization
            ->syncFromMediaLibraryRequest($validated['media'])
            ->toMediaCollection('organization-logo-' . $organization->id);
        $organization->save();

        if (!empty($validated['media'])) {
            foreach ($validated['media'] as $requestMediaItem) {
                $mediaItem = Media::where('uuid', $requestMediaItem['uuid'])->first();
                $mediaItem->setCustomProperty('organization_id', $organization->id);
                $mediaItem->save();
            }
        }
    }

    public function saveCompetenceCardIcon(CompetenceCard $competenceCard, mixed $validated): void
    {
        $competenceCard
            ->syncFromMediaLibraryRequest($validated['media'])
            ->toMediaCollection('competence-card-icon', 'public');
        $competenceCard->save();
    }

}
