<?php

namespace App\Services;

use App\Events\NewMessage;
use App\Models\Conversation;
use App\Models\Message;
use App\Models\Organization;

class MessageService
{
    public function createMessage(string $message, Conversation $conversation, Organization $organization, string $type = 'message'): Message
    {

        $message = Message::create([
            'message' => $message,
            'type' => $type,
        ]);
        $message->conversation()->associate($conversation->id);
        $message->organization()->associate($organization->id);
        $message->sender()->associate(auth()->user()->id);
        $message->save();

        broadcast(new NewMessage($message, $message->humans_time));

        return $message;
    }
}
