<?php

namespace Database\Factories;

use App\Models\Appointment;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\Factory;

class AppointmentFactory extends Factory
{
    protected $model = Appointment::class;

    public function definition(): array
    {
        $day = random_int(1,10);

        $start = Carbon::now()->add($day, 'day');
        $internal_appointment = random_int(1, 10) % 2 === 0;

        return [
            'organization_id'   => random_int(1, 5),
            'static_title'      => $internal_appointment ? null : $this->faker->words(random_int(1, 4), true),
            'description'       => $this->faker->words(random_int(5, 20), true),
            'type'              => $internal_appointment ? 'internal' : 'external',
            'location'          => null,
            'attendees'         => null,
            'start'             => $start->toDateTimeString(),
            'end'               => $start->add(1, 'hour')->toDateTimeString(),
        ];
    }
}
