<?php

namespace Database\Factories;

use App\Models\Conversation;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class ConversationFactory extends Factory
{
    protected $model = Conversation::class;

    public function definition(): array
    {
        return [
            'uuid' => $this->faker->uuid(),
            'organization_id' => 1,
            'description' => $this->faker->text(random_int(20, 500)),
            'is_active' => 1,
            'jitsi_meeting_password' => bcrypt(Str::random(20)),
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}
