<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKnowledgebaseArticlesTable extends Migration
{
    public function up()
    {
        Schema::create('knowledgebase_articles', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('organization_id')->nullable()->constrained();
            $table->string('title');
            $table->longText('content')->nullable();
            $table->boolean('shareable')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('knowledgebase_articles');
    }
}
