<?php

namespace Database\Seeders;

use App\Models\Appointment;
use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Str;


class AdminUserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $user = User::create([
            'first_name' => 'Florian',
            'last_name' => 'Brunner',
            'email' => 'f.brunner@bflow.at',
            'email_verified_at' => now(),
            'phone_number' => '+43 664 194 59 89',
            'password' => bcrypt('password'), // password
            'remember_token' => Str::random(10),
            'is_active' => 1,
            'current_organization_id' => 1,
        ]);
        $user->assignRole('super-admin');
        $user->organizations()->attach([1]);

        if (App::Environment() === 'local') {

            $user->organizations()->attach([1, 2]);

            $roles = collect(['organization-admin', 'counselor', 'client']);
            $appointments = Appointment::factory(100)->create()->each(function ($appointment) use ($user) {
                $user->appointments()->attach($appointment);
            });

            User::factory(50)->create()->each(function ($user) use ($roles, $appointments) {
                $user->assignRole($roles->random());
                $user->organizations()->attach(random_int(1, 5));
                $user->appointments()->attach($appointments->random());
            });
        }

    }
}
