<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\App;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        if (App::Environment() === 'local') {
            $this->call([
                OrganizationSeeder::class,
                RolesAndPermissionsSeeder::class,
                AdminUserSeeder::class,
                KnowledgebaseArticleSeeder::class,
                MessageSeeder::class,
                CompetenceCardSeeder::class,
            ]);
        } else {
            $this->call([
                OrganizationSeeder::class,
                RolesAndPermissionsSeeder::class,
                AdminUserSeeder::class,
                CompetenceCardSeeder::class,
            ]);
        }


    }
}
