<?php

namespace Database\Seeders;

use App\Models\Conversation;
use App\Models\Message;
use App\Models\User;
use Illuminate\Database\Seeder;

class MessageSeeder extends Seeder
{
    public function run()
    {

        Message::unsetEventDispatcher();

        $conversations = Conversation::factory(5)->create()->each(function($conversation) {
            $users = User::find([1,2])->each(function($user) use ($conversation) {
                $conversation->users()->sync([1,2]);
                $internalAppointment = $user->appointments()->where('type', 'internal')->first();
                if ($internalAppointment) {
                    $conversation->appointments()->save($user->appointments()->where('type', 'internal')->first());
                }
            });

        });;

        Message::factory(100)->create();
    }
}
