<?php

namespace Database\Seeders;

use App\Models\Organization;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\App;

class OrganizationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        if (App::Environment() === 'local') {
            Organization::factory(5)->create();
        } else {
            $organization = Organization::create([
                'name' => 'OCCAY',
                'street' => 'Saline 17',
                'zip_code' => '6060',
                'city' => 'Hall in Tirol',
                'country' => 'Austria',
                'tax_id' => '',
                'phone_number' => '+43 664 1945989',
                'email' => 'info@occay.eu',
                'website' => 'https://occay.eu/',
                'is_active' => true,
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
