import {usePage} from "@inertiajs/inertia-vue3";

export default function usePermissions() {
    const page = usePage();
    let can = (value) => {
        const permissions = page.props.value.permissions.permissions;
        let _return = false;

        if (!Array.isArray(permissions)) {
            return false;
        }

        if (value.includes('|')) {
            value.split('|').forEach((item) => {
                if (permissions.includes(item.trim())) {
                    _return = true;
                }
            });
        } else if (value.includes('&')) {
            _return = true;
            value.split('&').forEach((item) => {
                if (!permissions.includes(item.trim())) {
                    _return = false;
                }
            });
        } else {
            _return = permissions.includes(value.trim());
        }

        return _return;
    };

    let is = (value) => {
        const roles = page.props.value.permissions.roles;
        let _return = false;

        if (!Array.isArray(roles)) {
            return false;
        }

        if (value.includes('|')) {
            value.split('|').forEach((item) => {
                if (roles.includes(item.trim())) {
                    _return = true;
                }
            });
        } else if (value.includes('&')) {
            _return = true;
            value.split('&').forEach((item) => {
                if (!roles.includes(item.trim())) {
                    _return = false;
                }
            });
        } else {
            _return = roles.includes(value.trim());
        }
        
        return _return;
    };

    return {can, is};
};
