import {defineStore} from "pinia";

export const useAppointmentsStore = defineStore('appointmentsStore', {
    state: () => ({
        types: [
            {id: 'internal', title: 'OCCAY counselling'},
            {id: 'external', title: 'Appointment (private)'},
        ],
        appointment_statuses: [
            {id: 'conducted', title: 'conducted'},
            {id: 'cancelled', title: 'cancelled'},
            {id: 'not_kept', title: 'not kept'},
        ],
        appointment_types: [
            {id: 'initial_consultation', title: 'Initial counselling'},
            {id: 'counselling', title: 'Counselling'},
            {id: 'follow_up_counselling', title: 'Follow-up counselling'},
            {id: 'preparation_post_processing', title: 'Preparation/Post-processing'},
            {id: 'administration', title: 'Administration'},
            {id: 'meeting', title: 'Meeting'},
            {id: 'continuing_education', title: 'Continuing education'},
            {id: 'information', title: 'Information'},
            {id: 'coordination', title: 'Coordination'},
            {id: 'team', title: 'Team'},
            {id: 'organization', title: 'Organization'}
        ]
    }),

    getters: {
        get_type_title_by_id(state) {
            return (type_id) => state.types.find(type => type.id === type_id)?.title;
        },
        get_appointment_status_title_by_id(state) {
            return (status_id) => state.appointment_statuses.find(appointment_statuse => appointment_statuse.id === status_id)?.title;
        },
        get_appointment_type_title_by_id(state) {
            return (appointment_id) => state.appointment_types.find(appointment_type => appointment_type.id === appointment_id)?.title;
        },

    }
});
