import {defineStore} from "pinia";

export const useOnlineUsersStore = defineStore('onlineUsers', {
    state: () => ({
        users: [],
    }),

    actions: {
        setOnlineUsers(userIds) {
            this.users = userIds;
        },
        addUser(userId) {
            this.users.push(userId);
        },
        removeUser(userId) {
            this.users = this.users.filter(id => id !== userId);
        },
        reset() {
            this.users = [];
        }
    },

    getters: {
        userIsOnline(state) {
            return (userId) => !!state.users.find((id) => id === userId);
        },
    }

});
