import {defineStore} from "pinia";

export const useUserMetaStore = defineStore('userMetaStore', {
    state: () => ({
        marital_statuses: [
            {id: 'single', title: 'single'},
            {id: 'partnership', title: 'in a partnership'},
            {id: 'married', title: 'married'},
            {id: 'divorced', title: 'divorced'},
            {id: 'widowed', title: 'widowed'},
        ],
        genders: [
            {id: 'female', title: 'female'},
            {id: 'male', title: 'male'},
            {id: 'diverse', title: 'diverse'},
        ],
        counselling_goals: [
            {id: 'application_documents', title: 'application documents'},
            {id: 'further_education', title: 'further education'},
            {id: 'job_search', title: 'job search'},
            {id: 'orientation', title: 'orientation'},
            {id: 're_entry', title: 're-entry'},
            {id: 'miscellaneous', title: 'miscellaneous'},
        ]
    }),

    getters: {
        get_marital_status_title_by_id(state) {
            return (status_id) => state.marital_statuses.find(el => el.id === status_id)?.title;
        },
        get_gender_title_by_id(state) {
            return (gender_id) => state.genders.find(el => el.id === gender_id)?.title;
        },
        get_counselling_goal_title_by_id(state) {
            return (goal_id) => state.counselling_goals.find(el => el.id === goal_id)?.title;
        },

    }
});
